File: changelog

package info (click to toggle)
glibmm2.4 2.58.0-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 17,592 kB
  • sloc: xml: 107,274; cpp: 17,783; perl: 5,565; sh: 4,246; python: 1,646; makefile: 325
file content (842 lines) | stat: -rw-r--r-- 27,781 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
742
743
744
745
746
747
748
749
750
751
752
753
754
755
756
757
758
759
760
761
762
763
764
765
766
767
768
769
770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
798
799
800
801
802
803
804
805
806
807
808
809
810
811
812
813
814
815
816
817
818
819
820
821
822
823
824
825
826
827
828
829
830
831
832
833
834
835
836
837
838
839
840
841
842
glibmm2.4 (2.58.0-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 09:34:54 -0500

glibmm2.4 (2.58.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libglib2.0-dev to 2.55.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 31 Oct 2018 17:15:13 -0400

glibmm2.4 (2.56.0-2) unstable; urgency=medium

  * Build with --enable-documentation.
  * Drop 02-enable-maintainer-mode.patch. No longer needed with above change.
  * Remove Deng Xiyue from Uploaders since he hasn't contributed to this
    package recently and the Alioth email no longer works. Thanks for your
    contributions!
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Apr 2018 14:28:07 -0400

glibmm2.4 (2.56.0-1) unstable; urgency=medium

  * New upstream release
  * Use Files-Excluded to ensure docs are built from source
  * Build-Depend on doxygen, graphviz, and xsltproc for docs
  * Add 02-enable-maintainer-mode.patch:
    - Fix maintainer mode so that building docs works

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 01 Apr 2018 10:14:41 -0400

glibmm2.4 (2.54.1-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Feb 2018 21:52:14 -0500

glibmm2.4 (2.54.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 21:56:13 -0500

glibmm2.4 (2.54.1-1) unstable; urgency=medium

  * New upstream release (Closes: #876167)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Sep 2017 08:42:08 -0400

glibmm2.4 (2.54.0-2) unstable; urgency=medium

  * Bump SHVER to 2.54.0.

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 07:34:42 -0400

glibmm2.4 (2.54.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 07:07:25 -0400

glibmm2.4 (2.50.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Apr 2017 21:25:19 +0200

glibmm2.4 (2.50.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.50.0) as per configure.ac.
  * Bump SHVER to 2.50.0.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 18:44:17 +0200

glibmm2.4 (2.49.7-1) unstable; urgency=medium

  * New upstream development release.
  * Bump SHVER to 2.49.7.
  * Don't compress example .cc files.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.49.7) as per configure.ac.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 14:30:31 +0200

glibmm2.4 (2.49.5-1) unstable; urgency=medium

  * New upstream development release
  * Refresh debian/patches/01-disable-tls-test.patch.
  * Bump Build-Depends on libsigc++-2.0-dev to (>= 2.9.1) as per configure.ac.
  * Bump SHVER to 2.49.5.
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Stop building static libraries.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 02:30:23 +0200

glibmm2.4 (2.48.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Bump libglib2.0-dev to (>= 2.48.0)
    - Bump libsigc++-2.0-dev to (>= 2.8.0)
    - Bump mm-common to (>= 0.9.10)
  * Bump SHVER to 2.46.0.
  * Drop libglibmm-2.4-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libglibmm-2.4-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration.
    Bump Build-Depends on debhelper accordingly.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 16:29:33 +0200

glibmm2.4 (2.46.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Dec 2015 22:47:34 +0100

glibmm2.4 (2.46.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 20 Nov 2015 18:11:46 +0100

glibmm2.4 (2.46.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update Build-Depends as per configure.ac:
    - Bump libglib2.0-dev to (>= 2.46.0)
    - Bump libsigc++-2.0-dev to (>= 2.5.4)
    - Bump mm-common to (>= 0.9.8)

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Sep 2015 21:54:31 +0200

glibmm2.4 (2.44.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Aug 2015 09:31:24 +0200

glibmm2.4 (2.44.0-2) experimental; urgency=medium

  [ Sebastien Bacher ]
  * Rename libglibmm-2.4-1c2a to libglibmm-2.4-1v5 for GCC 5 abi change.
  * Add Conflict/Replaces against the old library package.
  * Bump Build-Depends on libsigc++-2.0-dev to ensure it was built with GCC 5.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Aug 2015 11:20:25 +0200

glibmm2.4 (2.44.0-1) unstable; urgency=medium

  * Use default compression for binary packages.
  * New upstream release.
  * Bump minimum glib version to 2.44.0 as per configure.ac.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer, add
    Deng Xiyue to Uploaders.
  * Bump SHVER to 2.44.0.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 May 2015 00:25:09 +0200

glibmm2.4 (2.42.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum glib version to 2.42.0 according to configure.ac.
  * Use canonical URLs for the Vcs-* fields.
  * Bump SHVER to 2.42.0.

 -- Michael Biebl <biebl@debian.org>  Tue, 23 Sep 2014 18:53:32 +0200

glibmm2.4 (2.40.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum glib version to 2.40.0 according to configure.ac.
  * Bump debhelper compatibility level to 9.
  * Bump Build-Depends on debhelper to (>= 9) to match debian/compat.
  * Bump Standards-Version to 3.9.5.
  * Bump SHVER to 2.40.0.
  * debian/patches/01-disable-tls-test.patch: Don't run giomm_tls_client test
    since it requires network access which is not guaranteed to be available
    on buildds.
  * Use dh-autoreconf to update the build system.

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Apr 2014 00:58:37 +0200

glibmm2.4 (2.36.2-1) unstable; urgency=low

  * New upstream release.
  * Drop DM-Upload-Allowed field, DM upload permissions are no longer handled
    this way.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 25 May 2013 01:27:17 +0200

glibmm2.4 (2.32.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Don't compress doxygen tag files since doxygen can't handle those.
  * Enable xz compression for binary packages.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Sep 2012 08:35:08 +0200

glibmm2.4 (2.32.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Apr 2012 16:56:12 +0200

glibmm2.4 (2.31.22-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Mar 2012 08:53:51 +0200

glibmm2.4 (2.31.22-1) experimental; urgency=low

  * New upstream development release.
  * Bump SHVER to 2.31.22.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Mar 2012 10:26:00 +0200

glibmm2.4 (2.31.20-1) experimental; urgency=low

  * New upstream development release.
  * Bump (Build-)Depends on libglib2.0-dev to (>= 2.31.0).

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Mar 2012 15:21:45 +0100

glibmm2.4 (2.30.1-1) unstable; urgency=low

  * New upstream release.
  * Bump (Build-)Depends on libsigc++-2.0-dev to (>= 2.2.10).
  * Convert to multiarch. Closes: #651134
  * Update debian/copyright to the final copyright-format 1.0 spec.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Mar 2012 14:32:16 +0100

glibmm2.4 (2.30.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control.in:
    - Remove obsolete Conflicts/Replaces.
    - Suggest libgtkmm-3.0-dev instead of libgtkmm-2.4-dev.
    - Bump Depends on libglib2.0-dev.

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Dec 2011 01:54:56 +0100

glibmm2.4 (2.30.0-1) experimental; urgency=low

  * New upstream release.
  * Update watch file.
  * debian/control.in:
    - Bump Build-Depends on libglib2.0-dev to (>= 2.30.0).
  * debian/rules:
    - Bump SHVER to 2.30.0.
    - Remove clean-la.mk, no longer needed.
  * debian/libglibmm-2.4-dev.install
    - Stop installing usr/share/aclocal, the glibmm_check_perl.m4 macro file
      has been removed upstream.
    - Remove libtool .la files.
    - Install glibmmconfig.h header file in /usr/lib/giomm-2.4/include.
  * Bump debhelper compatibility level to 8.
  * debian/watch:
    - Track .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Oct 2011 19:29:07 +0200

glibmm2.4 (2.28.1-1) unstable; urgency=low

  [ Deng Xiyue ]
  * debian/watch:
    + Fix RegEx to work again.

  [ Martin Pitt ]
  * New upstream bug fix release.
  * debian/rules: Run tests during build, to catch regressions on specific
    architectures or from breakage in dependencies.

 -- Martin Pitt <mpitt@debian.org>  Fri, 20 May 2011 13:28:01 +0200

glibmm2.4 (2.28.0-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    + Remove the chrpath hack, it's been fixed in libtool.

  [ Deng Xiyue ]
  * New upstream bugfix release.  (Closes: #621856)
    + debian/control.in:
      + Update GLib dependency to >= 2.28.0
    + debian/rules:
      + Update SHVER to 2.28.0 due to new API.
    + debian/libglibmm-2.4-dev.install:
      + Stop shipping /usr/share/glibmm-2.4, no longer exists.
  * debian/control.in:
    + Update Standard-Version to 3.9.2.
  * Convert to source format 3.0 (quilt):
    + debian/source/format: added.
    + debian/rules: drop simple-patchsys.mk

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 14 Apr 2011 16:41:00 +0800

glibmm2.4 (2.24.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 May 2010 09:48:25 +0200

glibmm2.4 (2.24.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Apr 2010 13:40:21 +0200

glibmm2.4 (2.24.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/control.in:
      - Update GLib (build-) dependency to >= 2.24.0.
    + debian/rules:
      - Update shlibs version to >= 2.24.0 because of new API.
  * debian/control.in:
    + Update Standard-Version to 3.8.4.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Apr 2010 16:28:06 +0200

glibmm2.4 (2.22.1-2) unstable; urgency=low

  * Ship doctool in usr/share/glibmm-2.4

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 04 Oct 2009 12:21:02 -0700

glibmm2.4 (2.22.1-1) unstable; urgency=low

  * New upstream release.
    + Bump shlibs version to 2.22.0
    + Update build-depends to libglib2.0-dev >= 2.21.1.
    + Adjust doc path according to new location of new release.
  * Update Standard-Version to 3.8.3.  No change required.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 04 Oct 2009 04:05:01 -0700

glibmm2.4 (2.20.1-1) unstable; urgency=low

  * New upstream release.
  * Section of libglibmm-2.4-dbg is "debug" now.
  * Update debian/copyright to conform to latest DEP 5.
    + Fix incorrect license.
    + Point to versioned license files.
  * Update Standard-Version to 3.8.2.  No change required.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Mon, 20 Jul 2009 10:01:53 +0800

glibmm2.4 (2.20.0-1) unstable; urgency=low

  * New upstream release.
    + Update shlibs version to 2.19.8, last new API addition.
    + Update bdep of libglib2.0-dev to >= 2.19.8 as per configure.in.
  * Make libglibmm-2.4-dev depends on libsigc++-2.0-dev >= 2.0.0 as per
    configure.in.
  * Drop versioned dpkg-dev depends.  As Lenny released, the required
    dpkg-dev version is already in stable.
  * Update Standard-Version to 3.8.1.  No change required.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 19 Mar 2009 14:06:16 +0800

glibmm2.4 (2.18.1-2) unstable; urgency=low

  * Upload to unstable.  Yay for Lenny!  Drop check-dist.mk and make Vcs-*
    target unstable again.
  * Use ``usr/share/doc/glibmm-2.4'' as URL in doc-base to match upstream
    behavior.
  * Use viewsvn instead of wsvn in Vcs-Browser.
  * `make -C examples clean` after `make install` of the -doc package to
    prevent shipping unexpected files.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Wed, 18 Feb 2009 11:21:33 +0800

glibmm2.4 (2.18.1-1) experimental; urgency=low

  * New upstream stable release.
  * Use POSIX standard regex classes in sed trick in debian/rules.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 21 Oct 2008 22:29:45 +0800

glibmm2.4 (2.18.0-1) experimental; urgency=low

  * New upstream stable release finally.  Not upload to unstable before Lenny
    releases.
    + Bump shlibs version to 2.18.0.
    + Fix -dev Suggests by adding epoch to libgtkmm-2.4-dev version 1:2.12.1.
    + debian/watch targets stable releases again.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 23 Sep 2008 22:36:27 +0800

glibmm2.4 (2.17.3-1) experimental; urgency=low

  * New upstream development release.
    + Bump shlibs version to 2.17.3.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 09 Sep 2008 22:24:07 +0800

glibmm2.4 (2.17.2-1) experimental; urgency=low

  * New upstream development release.
    + Bump shlibs to >= 2.17.2.
    + Bump b-dep on libglib2.0-dev >= 2.17.3.
  * Use check-dist.mk in debian/rules
  * Make debian/watch target development releases.
  * libglibmm-2.4-doc:
    + Recommend the new gtkmm-documentation instead of libgtkmm-2.4-doc.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 07 Aug 2008 21:00:07 +0800

glibmm2.4 (2.16.4-1) unstable; urgency=low

  [ Loic Minier ]
  * Properly anchor package name regexp.

  [ Deng Xiyue ]
  * New upstream stable release.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sat, 05 Jul 2008 02:08:40 +0800

glibmm2.4 (2.16.3-1) unstable; urgency=low

  * New Upstream stable release.
  * Refine debian/copyright:
    - Get rid of X-Comment and move its content to corresponding License:
      fields.
    + Use headers without X- prefix.
    + Add Original-Source-Command.
  * Update standard version to 3.8.0.  No change needed.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 17 Jun 2008 21:39:20 +0800

glibmm2.4 (2.16.2-1) unstable; urgency=low

  * New upstream release.
  * Use machine-interpretable format for debian/copyright.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sat, 19 Apr 2008 21:55:37 +0800

glibmm2.4 (2.16.1-1) unstable; urgency=low

  * New upstream release.
  * Add `DM-Upload-Allowed: yes' field.  Thanks Loïc for advocacy.
  * Add dpkg-dev >= 1.14.16 to Build-Depends for DM usage.
  * Remove doc-base from Build-Depends as it's not b-deped on.
  * Add ${shlibs:Depends} to all Depends fields as recommended.
  * Fix typo in last changelog.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 30 Mar 2008 12:58:04 +0800

glibmm2.4 (2.16.0-1) unstable; urgency=low

  * New upstream release.
    + Build-depends on libglib2.0-dev >= 2.16.0.
    + Bump shlibs version to 2.16.0.
  * Fix section in doc-base reference.
  * Readjust watch file to target stable release again.
  * Remove check-dist.mk from debian/rules, as it's now back to unstable.
  * Drop `head -n 1' from sed trick.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 11 Mar 2008 18:26:08 +0800

glibmm2.4 (2.15.8-1) experimental; urgency=low

  * New upstream development release.
    + Bump shlibs version to 2.15.8.
  * Use a more universal syntax for soname in the sed to get $(SHARED_PKG).

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 04 Mar 2008 09:42:05 +0800

glibmm2.4 (2.15.7-1) experimental; urgency=low

  * New upstream development release.
    + Bump shlibs version to 2.15.7.
    + Bump libglib2.0-dev b-dep and dep to >= 2.15.6.
    - Drop doxygen and xsltproc from b-dep.  Docs are shipped again.
    - Drop 10_devhelp_external_link_fix.patch, fixed upstream.
  * Use common-install-impl rule instead of common-install-prehook-arch,
    the latter might be triggered before `make install` was called.
    Should fix FTBFS on buildds.  (Closes: #467539)

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 26 Feb 2008 21:59:02 +0800

glibmm2.4 (2.15.6-1) experimental; urgency=low

  * New upstream development release.
    + Bump shlibs version to 2.15.6.
    + Add doxygen and xsltproc to build-depends, as they are now required
      to build doc.
    + New devhelp file, shipped in libglibmm-2.4-doc.
    + Add 10_devhelp_external_link_fix.patch to fix external link in
      devhelp file.
  * Refined debian/rules to set variables SHARED_PKG and DOC_PKG by sed
    from debian/control and use variable SHVER for shlibs version, and
    refine and reformat corresponding rules accordingly.
  * Drop 70_relibtoolize.patch, and use chrpath hack for amd64 rpath
    issue, hence add chrpath to build-depends.  Should contact upstream
    for real fix.
  * Wrap long fields in control field.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 26 Feb 2008 02:04:15 +0800

glibmm2.4 (2.15.5-1) experimental; urgency=low

  * New upstream development release.
  * Branched for experimental from unstable.
  * Bump libglib2.0-dev dependency to version 2.15.5.
  * Bump shlibs version to 2.15.5
  * Add check-dist.mk from gnome-pkg-tools to prevent uploading to wrong
    place.
  * Drop 10_gcc4.3_include_fix.patch, merged upstream.
  * Refine watch file to check for number based version, update watch
    version to 3, and adjust to check for development releases.
  * Correct copyright holders, and correct license pointer to
    /usr/share/common-licenses/LGPL-2.1.
  * Bump compat level to 6, let debhelper >= 6 accordingly, and make
    cdbs >= 0.4.51 to workaround empty -dbg problem.
  * Drop -1 postfix in version dependencies as per lintian.
  * Regenerate 70_relibtoolize.patch for new version.
  * Add ${shlibs:Depends} to -dev package.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 19 Feb 2008 17:56:53 +0800

glibmm2.4 (2.14.2-4) unstable; urgency=low

  * debian/copyright:
    + Update download URL.
    + Update upstream authors' email addresses.
  * debian/rules:
    + Add DEB_DH_INSTALL_SOURCEDIR := debian/tmp, so *.install files can
      be shortened.
    + Refine exclude rules again.
  * debian/*.install:
    + Refined to the shortened form.
  * debian/libglibmm-2.4-doc.examples
    + Resurrected, or examples won't be installed. My bad :(

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Mon, 17 Dec 2007 16:54:45 +0800

glibmm2.4 (2.14.2-3) unstable; urgency=low

  * debian/control, debian/control.in:
    + Bump standard version to 3.7.3. No change required.
      Thanks Guus Sliepen.
    + Bump cdbs version to >= 0.4.41, reason given below.
    + Suggests libgtkmm-2.4-doc >= 1:2.12.3-1 due to path change.
  * debian/libglibmm-2.4-doc.doc-base.glibmm2.4-reference
    + Fix paths according to the new doc places.
  * debian/libglibmm-2.4-doc.{docs,examples}
    - Dropped in favor of libglibmm-2.4-doc.install.
  * Add debian/libglibmm-2.4-doc.install to handle doc installation.
  * Add debian/libglibmm-2.4-doc.links to provide symlink to original doc
    path. By doing this, the reference path in external doc packages can
    remain intact, so the sed tricks can be dropped.
  * debian/rules:
    + Add LDFLAGS "-Wl,--as-needed" to reduce unneeded shlibs dependencies.
    + Let examples be compressed.
    + Directly specify LDFLAG instead of using DEB_CONFIGURE_SCRIPT_ENV
      which might override existing LDFLAGS settings, which is supported
      since cdbs >= 0.4.41, hence bump its dependency. Thanks Loïc Minier.
    + Include clean-la.mk from gnome-pkg-tools to remove dependency_libs
      information from .la files. Thanks Loïc Minier and Josselin Mouette.
    + Drop DEB_AUTO_UPDATE_DEBIAN_CONTROL as cdbs dependency is written by
      hand, and avoiding generating debian/control twice by a single clean.
    + Replace most ':=' with '+=' to avoid overwriting existing values.
    + Install docs with original path hierarchy and drop the sed tricks.
    + Refine exclude rules.
  * debian/watch
    + Use spaces instead of tabs when indent.
    (Thanks Loïc Minier for reviewing and the suggestions.)

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Fri, 14 Dec 2007 14:34:11 +0800

glibmm2.4 (2.14.2-2) unstable; urgency=high

  * debian/control, debian/control.in
    + Add Homepage, Vcs-Browser and Vcs-Svn entries.
    + Add Replaces: to handle file moving together with Conflicts:,
      without which might causes breakage when upgrading. Hence the urgency.
      (Closes: 452135)
  * debian/patches
    + Rename 99_relibtoolize.patch to 70_relibtoolize for consistency.
    + Add 10_gcc4.3_include_fix.patch to fix FTBFS with gcc 4.3.
      (Closes: 452082)

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 27 Nov 2007 01:18:00 +0800

glibmm2.4 (2.14.2-1) unstable; urgency=low

  * New upstream release.
  * Renew 99_relibtoolize.patch for new version.
  * Mention examples in -doc description.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Mon, 22 Oct 2007 23:06:15 +0800

glibmm2.4 (2.14.1-1) unstable; urgency=low

  * Build system migrated to cdbs.
  * Refine dependency fields in debian/control.
  * Split documentation from -dev to -doc package, and make it conflict with
    older -dev versions.
  * Rename debug package to libglibmm-2.4-dbg.
  * Use named shlibs version in debian/rules.
  * Refine watch file URL.
  * Use ${binary:Version} instead of the deprecated ${Source-Version}.
  * Migrate ownership to Debian GNOME Team.
    - Add myself as maintainer with consensus from Debian GNOME Team.
    - Original maintainer Bradley Bell is also a member of Debian GNOME
      Team now. Thanks Bradley.
    - Add Debian GNOME Team as uploaders.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Mon, 15 Oct 2007 23:56:24 +0800

glibmm2.4 (2.14.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. Closes: #442828
    - Fixes a declaration shadowing another variable. Closes: #415464

 -- Guus Sliepen <guus@debian.org>  Fri, 12 Oct 2007 13:04:54 +0200

glibmm2.4 (2.12.10-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. Closes: #431660

 -- Guus Sliepen <guus@debian.org>  Wed, 04 Jul 2007 12:17:48 +0200

glibmm2.4 (2.12.9-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sat, 12 May 2007 14:26:47 +0200

glibmm2.4 (2.12.7-1) unstable; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Mon, 19 Mar 2007 13:48:35 -0700

glibmm2.4 (2.12.0-1) unstable; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Fri, 18 Aug 2006 14:49:06 -0700

glibmm2.4 (2.10.5-1) unstable; urgency=low

  * New upstream release
  * Enable building static library (Closes: #382155)
  * Added debug package (Closes: #379794)

 -- Bradley Bell <btb@debian.org>  Wed, 16 Aug 2006 10:54:17 -0700

glibmm2.4 (2.10.4-1) unstable; urgency=low

  * New upstream release
  * Revert last change since set_time now deprecated in glibmm as well
    (Closes: #359689)

 -- Bradley Bell <btb@debian.org>  Tue,  6 Jun 2006 04:15:00 -0700

glibmm2.4 (2.8.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use g_date_set_time_t() instead of g_date_set_time() since that's
    deprecated and disabled by default. (Closes: #359689)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 31 Mar 2006 21:08:20 +0200

glibmm2.4 (2.8.2-2) unstable; urgency=low

  * Fix shlibs file

 -- Bradley Bell <btb@debian.org>  Sun, 27 Nov 2005 18:15:37 -0800

glibmm2.4 (2.8.2-1) unstable; urgency=low

  * New upstream release
  * C++ transition (Closes: #339173)

 -- Bradley Bell <btb@debian.org>  Sun, 27 Nov 2005 06:48:47 -0800

glibmm2.4 (2.6.1-1.2) unstable; urgency=medium

  * NMU.
  * Tighten the (build-)dependency on libsigc++2.0-dev to the first
    version built with g++-4.0.

 -- Matthias Klose <doko@debian.org>  Tue,  2 Aug 2005 10:04:58 +0200

glibmm2.4 (2.6.1-1.1) unstable; urgency=low

  * Non-maintainer upload
  * C++ ABI transition

 -- Philipp Kern <pkern@debian.org>  Fri, 15 Jul 2005 14:14:31 +0000

glibmm2.4 (2.6.1-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable

 -- Bradley Bell <btb@debian.org>  Mon,  7 Mar 2005 13:38:17 -0800

glibmm2.4 (2.5.5-3) experimental; urgency=low

  * Fix watch file

 -- Bradley Bell <btb@debian.org>  Mon, 31 Jan 2005 19:30:30 -0800

glibmm2.4 (2.5.5-2) experimental; urgency=low

  * Added versioned shlibs file

 -- Bradley Bell <btb@debian.org>  Mon, 31 Jan 2005 18:03:57 -0800

glibmm2.4 (2.5.5-1) experimental; urgency=low

  * New upstream release (Closes: #279479)

 -- Bradley Bell <btb@debian.org>  Mon, 31 Jan 2005 12:57:21 -0800

glibmm2.4 (2.4.6-1) unstable; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Mon, 31 Jan 2005 12:20:48 -0800

glibmm2.4 (2.4.5-1) unstable; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Thu, 28 Oct 2004 16:09:24 -0700

glibmm2.4 (2.4.4-2) unstable; urgency=low

  * Fixed watch file

 -- Bradley Bell <btb@debian.org>  Mon, 20 Sep 2004 10:46:46 -0700

glibmm2.4 (2.4.4-1) unstable; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Mon,  9 Aug 2004 15:59:26 -0700

glibmm2.4 (2.4.3-2) unstable; urgency=low

  * Patch to prevent segfault in lostirc (see #259555)

 -- Bradley Bell <btb@debian.org>  Mon,  2 Aug 2004 11:13:30 -0700

glibmm2.4 (2.4.3-1) unstable; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Thu,  1 Jul 2004 11:46:16 -0700

glibmm2.4 (2.4.2-1) unstable; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Mon,  7 Jun 2004 14:27:30 -0700

glibmm2.4 (2.4.1-3) unstable; urgency=low

  * oops, real upload to unstable

 -- Bradley Bell <btb@debian.org>  Wed,  2 Jun 2004 14:47:13 -0700

glibmm2.4 (2.4.1-2) experimental; urgency=low

  * upload to unstable

 -- Bradley Bell <btb@debian.org>  Wed,  2 Jun 2004 13:44:47 -0700

glibmm2.4 (2.4.1-1) experimental; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Mon, 10 May 2004 15:43:18 -0700

glibmm2.4 (2.4.0-4) experimental; urgency=low

  * Distribute glibmm_check_perl.m4

 -- Bradley Bell <btb@debian.org>  Wed, 21 Apr 2004 18:22:35 -0700

glibmm2.4 (2.4.0-3) experimental; urgency=low

  * Fixes to the documentation

 -- Bradley Bell <btb@debian.org>  Tue, 20 Apr 2004 15:53:21 -0700

glibmm2.4 (2.4.0-2) experimental; urgency=low

  * Add dependency on glib and sigc dev packages

 -- Bradley Bell <btb@debian.org>  Mon, 12 Apr 2004 20:36:49 -0700

glibmm2.4 (2.4.0-1) experimental; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Mon, 12 Apr 2004 17:05:38 -0700

glibmm2.3 (2.3.2-1) unstable; urgency=low

  * New upstream release
  * Distribute files in usr/lib/glibmm-2.3 (Closes: #227848)

 -- Bradley Bell <btb@debian.org>  Thu, 15 Jan 2004 14:46:02 -0800

glibmm2.3 (2.3.1-1) unstable; urgency=low

  * New upstream release
  * Add build-dep on libsigc++-1.2-dev (Closes: #217056)

 -- Bradley Bell <btb@debian.org>  Tue, 28 Oct 2003 16:51:29 -0800

glibmm2.3 (2.3.0-1) unstable; urgency=low

  * Initial Release.

 -- Bradley Bell <btb@debian.org>  Tue, 14 Oct 2003 16:49:47 -0700